Subject: [manet] Remaining issues affecting the AODVv2 specification

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 05 Mar 2014 02:57:56 -0800

Hello folks,

Part of the job of finishing the AODVv2 specification will be to comb
the mailing list for issues that are still not resolved.  If there are
any specific issues that have not been gotten proper attention, I hope
to find them -- but if anyone would like to help by bringing them
up here on the mailing list, that will be appreciated.

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 6 Mar 2014 17:16:01 +0100

Hi Charles,

I just had before a comment on the open tickets, were they all
closed, because I think may be open. Seems most MANET WG don't care about
tickets but I like to track and I remember that the AD did mention it's
importance.

For me I will review new draft and comment, but if the authors have no more
pending issues to update, please confirm (sorry that I was not able to
remember if there are confirmation from authors that draft is ready or not,
also need their confirm of final points of open issues for next draft if
not resolved).

Best Regards

AB

On Wednesday, March 5, 2014, Charles E. Perkins wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 06 Mar 2014 08:26:34 -0800

Hello Abdussalam,

Actually, all of the issues were resolved.  Then, apparently, the
issues page crashed, and some recent updates to the issues were
lost.  However, they were sent to the mailing list, and so are
recoverable, with a nontrivial amount of work amounting to
an archaeological expedition through the mailing list archives.

I wanted to have time to do this, but so far have not.  If anyone
wants to volunteer to recover the issue-tracker updates from the
mailing list, that would be terrific.

Regards,
Charlie P.

On 3/6/2014 8:16 AM, Abdussalam Baryun wrote:
> closed, because I think may be open. Seems most MANET WG don't 
> care about tickets but I like to track and I remember that the AD did 
> mention it's importance.
>
> For me I will review new draft and comment, but if the authors have no 
> more pending issues to update, please confirm (sorry that I was not 
> able to remember if there are confirmation from authors that draft is 
> ready or not, also need their confirm of final points of open issues 
> for next draft if not resolved).
>
> Best Regards
>
> AB
>

-- 
Regards,
Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 6 Mar 2014 20:35:03 +0100

Ok so I understand from your message below that authors confirm that the
draft is ready complete for WG to review and comment their open issues.

AB

On Thursday, March 6, 2014, Charles E. Perkins wrote:

> more pending issues to update, please confirm (sorry that I was not able to

---

From: Thomas Heide Clausen <[email-masked]>
Date: Thu, 6 Mar 2014 21:33:54 +0100

> On 6 mars 2014, at 20:35, Abdussalam Baryun <[email-masked]> wrote:
> 
> 
> Ok so I understand from your message below that authors confirm that the draft is ready complete for WG to review and comment their open issues. 
> 

Having actually read the I-D, that is not the conclusion that I reach,

I am very surprised if the authors believe that to be the state of the document.

Thomas

>>> I just had before a comment on the open tickets, were they all closed, because I think may be open. Seems most MANET WG don't care about tickets but I like to track and I remember that the AD did mention it's importance. 
>>> 
>>> For me I will review new draft and comment, but if the authors have no more pending issues to update, please confirm (sorry that I was not able to remember if there are confirmation from authors that draft is ready or not, also need their confirm of final points of open issues for next draft if not resolved). 
>>> 
>>> Best Regards
>>> 
>>> AB
>>>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 6 Mar 2014 22:16:13 +0100

Hi Thomas

I seen your comments in the new thread reported. But does this message mean
you may have more points then that you posted today.

Regards
AB

On Thursday, March 6, 2014, Thomas Heide Clausen wrote:

>
> On 6 mars 2014, at 20:35, Abdussalam Baryun <[email-masked]<javascript:_e(%7B%7D,'cvml',[email-masked]');>>
> wrote:
>
>
> [email-masked] <javascript:_e(%7B%7D,'cvml',[email-masked]');>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 06 Mar 2014 13:20:08 -0800

Hello Abdussalam,

The issues that had earlier been posted on the issue tracker
had been resolved.  I intend to look for the tools.ietf.org emails
to the [manet] mailing list to re-document the resolutions, but
first I need to work on the issues that were posted to the
mailing list today.  I am isolating separate issues from the email
and hope to have them on the tracker within the week.

Regards,
Charlie P.

On 3/6/2014 1:16 PM, Abdussalam Baryun wrote:
> Hi Thomas
>
> I seen your comments in the new thread reported. But does this message 
> mean you may have more points then that you posted today.
>
> Regards
> AB
>
>     On 6 mars 2014, at 20:35, Abdussalam Baryun
>     <[email-masked]
>     <javascript:_e(%7B%7D,'cvml',[email-masked]');>> wrote:
>
>>
>>     Ok so I understand from your message below that authors confirm
>>     that the draft is ready complete for WG to review and comment
>>     their open issues.
>>
>
>>>         I just had before a comment on the open tickets, were they
>>>         all closed, because I think may be open. Seems most MANET WG
>>>         don't care about tickets but I like to track and I remember
>>>         that the AD did mention it's importance.
>>>
>>>         For me I will review new draft and comment, but if the
>>>         authors have no more pending issues to update, please
>>>         confirm (sorry that I was not able to remember if there are
>>>         confirmation from authors that draft is ready or not, also
>>>         need their confirm of final points of open issues for next
>>>         draft if not resolved).
>>>
>>>         Best Regards
>>>
>>>         AB
>>>

-- 
Regards,
Charlie P.

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 06 Mar 2014 13:26:33 -0800

Hello Abdussalam,

Before the draft goes to last call, we need to resolve the
open issues that were posted to the mailing list.  When I
mentioned that the earlier issues on the issue tracker had
been resolved, that did not include the other issues that
were not posted to the issue tracker.   As mentioned in my
previous email, I will take care of posting them to the tracker
so that the resolution process will be easier to follow.

Regards,
Charlie P.

On 3/6/2014 11:35 AM, Abdussalam Baryun wrote:
>
> Ok so I understand from your message below that authors confirm that 
> the draft is ready complete for WG to review and comment their 
> open issues.
>
> AB
>
>>     care about tickets but I like to track and I remember that the AD
>>     did mention it's importance.
>>
>>     For me I will review new draft and comment, but if the authors
>>     have no more pending issues to update, please confirm (sorry that
>>     I was not able to remember if there are confirmation from authors
>>     that draft is ready or not, also need their confirm of final
>>     points of open issues for next draft if not resolved).
>>
>>     Best Regards
>>
>>     AB
>>

-- 
Regards,
Charlie P.

---

From: Don Sturek <[email-masked]>
Date: Thu, 06 Mar 2014 13:37:47 -0800

Hi Charlie,

It would be worth (going forward) addressing issues as they come up on the
reflector rather than having to mine these topics out of the reflector
archives months later.

Most folks have limited time to spend reviewing drafts.  Ignoring comments
for several months does not help resolving these issues since in many cases
the comment and context is lost after a long period of time.

Don

From:  "Charles E. Perkins" <[email-masked]>
Organization:  Blue Skies
Date:  Thursday, March 6, 2014 1:26 PM
To:  Abdussalam Baryun <[email-masked]>
Cc:  Mobile Ad Hoc Networks mailing list <[email-masked]>
Subject:  Re: [manet] Remaining issues affecting the AODVv2 specification

 Hello Abdussalam,

 Regards,
 Charlie P.

On 3/6/2014 11:35 AM, Abdussalam Baryun wrote:

>>> I just had before a comment on the open tickets, were they all closed,
>>> because I think may be open. Seems most MANET WG don't care about tickets
>>> but I like to track and I remember that the AD did mention it's importance.
>>>  
>>> 
>>>  
>>>  
>>> also need their confirm of final points of open issues for next draft if not
>>> resolved). 
>>>  
>>> 
>>>  
>>>  Best Regards
>>>  
>>> 
>>>  
>>>  
>>> AB
>>>  

-- 
Regards,
Charlie P.
 
_______________________________________________ manet mailing list
[email-masked] https://www.ietf.org/mailman/listinfo/manet

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 6 Mar 2014 22:52:37 +0100

Hi Charles

It is ok, I will do the previous ticket tracker, as you confirmed they are
resolved. The new comments from WG we can input them as new tickets and
solve that way to help progress. I am happy to do that both previous and
new if you like.

AB

On Thursday, March 6, 2014, Charles E. Perkins wrote:

> any specific issues that have not bee
>
> --
> Regards,
> Charlie P.
>
>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Thu, 6 Mar 2014 23:02:53 +0100

> On 6 mars 2014, at 22:16, Abdussalam Baryun <[email-masked]> wrote:
> 
> Hi Thomas
> 
> I seen your comments in the new thread reported. But does this message mean you may have more points then that you posted today. 
> 

The protocol specification is so vague and ambiguous, and the protocol is so underspecified, that it is just impossible to answer that question - either way - at this juncture.

Thomas

---

From: "Charles E. Perkins" <[email-masked]>
Date: Thu, 06 Mar 2014 15:00:53 -0800

Hello Don,

Yes, it has been my intention to address the issues as they arise, and
I do agree that it is far better to do so when the context is current.

In the case of the missing resolutions on the issue tracker, that was
due to some malfunction on the IETF tools site.  In the case of the
issues that were never posted on the IETF issue tracker, there have
been various other problems.

Regards,
Charlie P.

On 3/6/2014 1:37 PM, Don Sturek wrote:
> Hi Charlie,
>
> It would be worth (going forward) addressing issues as they come up on 
> the reflector rather than having to mine these topics out of the 
> reflector archives months later.
>
> Most folks have limited time to spend reviewing drafts.  Ignoring 
> comments for several months does not help resolving these issues since 
> in many cases the comment and context is lost after a long period of time.
>
> Don
>
>
> From: "Charles E. Perkins" <[email-masked] 
> <mailto:[email-masked]>>
> Organization: Blue Skies
> To: Abdussalam Baryun <[email-masked] 
> <mailto:[email-masked]>>
> Cc: Mobile Ad Hoc Networks mailing list <[email-masked] 
> <mailto:[email-masked]>>
>>>     care about tickets but I like to track and I remember that the
>>>     AD did mention it's importance.
>>>
>>>     have no more pending issues to update, please confirm (sorry
>>>     that I was not able to remember if there are confirmation from
>>>     authors that draft is ready or not, also need their confirm
>>>     of final points of open issues for next draft if not resolved).
>>>
>>>     Best Regards
>>>
>>>     AB
>>>
> [email-masked] <mailto:[email-masked]> 

-- 
Regards,
Charlie P.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 00:06:39 +0100

> On 7 mars 2014, at 00:00, "Charles E. Perkins" <[email-masked]> wrote:
> 
> 
> Hello Don,
> 

I believe that the IETF maintains stable archives of the messages sent to the mail reflectors, and that any issues posted there are available - and have been repeated frequently - in postings on this reflector.

I am not aware of any failures of the mail reflector archives, and so I am not sure what "various other problems" are referred. So far, I have never had any problems retrieving past postings from these archives. I have no recollection of having heard of others reporting problems of the sort.

My experience remains, that the IETF Tools Team and the Secretariat always have been very rapid in resolving any problems that may have occurred. (As a bonus, they are a true pleasure to deal with, even when there are problems)

Best,

Thomas

>> It would be worth (going forward) addressing issues as they come up on the reflector rather than having to mine these topics out of the reflector archives months later.
>> 
>> Most folks have limited time to spend reviewing drafts.  Ignoring comments for several months does not help resolving these issues since in many cases the comment and context is lost after a long period of time.
>> 
>> Don
>> 
>> 
>> _______________________________________________ manet mailing list [email-masked] https://www.ietf.org/mailman/listinfo/manet
> 
> -- 
> Regards,
> Charlie P.

---

From: Abdussalam Baryun <[email-masked]>
Date: Fri, 7 Mar 2014 08:53:31 +0100

Hi Don,

I think the issue of not missing messages happens a lot to me with most of
the IETF editors related to I-Ds. The best tool is the ticket tracker,
because discussion messages are some how not focused on the I-D but may go
through theories/imaginations/possibilities/personality/etc.

When the AODVv2 started -00 with new author team it was not DYMO any
more, and I think that no message has been not replied to since
AODVv2-00 published in March 2013. Yes there was a reminder from
participant on DYMO draft comments, but I am not sure the authors have time
to discuss DYMO document after it mature and the WG dropping it and
starting adopting another document which is AODVv2.

I recommend the WG to focus on active documents so we can progress our
work. Otherwise we will not have time.

AB

---

From: Henning Rogge <[email-masked]>
Date: Fri, 7 Mar 2014 09:07:55 +0000

Abdussalam,

I give you an advise and check the difference between the last DYMO draft
and the first AODVv2 draft. If you keep your strange opinion about how to
deal with reviews about late DYMO drafts then no one can help you.

Except maybe the WG chairs...

Henning Rogge
On Mar 7, 2014 7:53 AM, "Abdussalam Baryun" <[email-masked]>
wrote:

>> the reflector rather than having to mine these topics out of the reflector
>> archives months later.
>>
>> comments for several months does not help resolving these issues since in
>> many cases the comment and context is lost after a long period of time.
>>
>> Don
>>
>>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 10:24:16 +0100

Dear Abdussalam,

> On 7 mars 2014, at 10:07, Henning Rogge <[email-masked]> wrote:
> 
> Abdussalam,
> 
> I give you an advise and check the difference between the last DYMO draft and the first AODVv2 draft.
> 

Abdussalam, in order to help you be more autonomous in such matters, let me try to provide you with the method that I (and, I guess, Henning, and others) use to track such changes.

1) Go to the datatracker for this document:

	http://tools.ietf.org/html/draft-ietf-manet-aodvv2

2) Click on the link 00, which takes you here:

	http://tools.ietf.org/html/draft-ietf-manet-aodvv2-00

3) hitting "Diff1" gets you:

	http://tools.ietf.org/rfcdiff?difftype=--hwdiff&url2=draft-ietf-manet-aodvv2-00.txt

There're two points here:

	o	The IETF has recorded that this document is the successor of DYMO, and
	o	The differences between DYMO and this document is non-existing, except for
		the title and other document header metadata.

Also, not only are these two documents mostly identical, you will also notice that so are some of the authors.

Also, you will see that on the datatracker, it is indicated that this document replaces dymo:

	https://datatracker.ietf.org/doc/draft-ietf-manet-aodvv2/

So, unequivocally, the two documents are the same.

And, the latest -03 actually is remarkably (and disappointingly) identical to the latest DYMO document - which is exactly the problem that the WG should worry about, that input given has not been reflected by the authors.

Best,

Thomas
> If you keep your strange opinion about how to deal with reviews about late DYMO drafts then no one can help you.
> 
>> On Mar 7, 2014 7:53 AM, "Abdussalam Baryun" <[email-masked]> wrote:
>> Hi Don,
>> 
>> I think the issue of not missing messages happens a lot to me with most of the IETF editors related to I-Ds. The best tool is the ticket tracker, because discussion messages are some how not focused on the I-D but may go through theories/imaginations/possibilities/personality/etc. 
>> 
>> When the AODVv2 started -00 with new author team it was not DYMO any more, and I think that no message has been not replied to since AODVv2-00 published in March 2013. Yes there was a reminder from participant on DYMO draft comments, but I am not sure the authors have time to discuss DYMO document after it mature and the WG dropping it and starting adopting another document which is AODVv2. 
>> 
>> I recommend the WG to focus on active documents so we can progress our work. Otherwise we will not have time. 
>> 
>> AB
>>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 07 Mar 2014 01:27:59 -0800

Hello folks,

AODVv2 has evolved significantly since it was renamed
from DYMO, but all of the comments have to be considered
for current relevance.  If any remain unresolved, then the
discussion will, I expect, produce useful ideas and text to
be used in future revisions of AODVv2.

Regards,
Charlie P.

On 3/7/2014 1:07 AM, Henning Rogge wrote:
>
> Abdussalam,
>
> I give you an advise and check the difference between the last DYMO 
> draft and the first AODVv2 draft. If you keep your strange opinion 
> about how to deal with reviews about late DYMO drafts then no one can 
> help you.
>
> On Mar 7, 2014 7:53 AM, "Abdussalam Baryun" 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi Don,
>
>     I think the issue of not missing messages happens a lot to me
>     with most of the IETF editors related to I-Ds. The best tool is
>     the ticket tracker, because discussion messages are some how not
>     focused on the I-D but may go through
>     theories/imaginations/possibilities/personality/etc.
>
>     When the AODVv2 started -00 with new author team it was not DYMO
>     any more, and I think that no message has been not replied to
>     since AODVv2-00 published in March 2013. Yes there was a reminder
>     from participant on DYMO draft comments, but I am not sure the
>     authors have time to discuss DYMO document after it mature and the
>     WG dropping it and starting adopting another document which is
>     AODVv2.
>
>     I recommend the WG to focus on active documents so we can progress
>     our work. Otherwise we will not have time.
>
>     AB
>
>         It would be worth (going forward) addressing issues as they
>         come up on the reflector rather than having to mine these
>         topics out of the reflector archives months later.
>
>         Most folks have limited time to spend reviewing drafts.
>          Ignoring comments for several months does not help resolving
>         these issues since in many cases the comment and context is
>         lost after a long period of time.
>
>         Don
>
>
>>         Ok so I understand from your message below that authors
>>         confirm that the draft is ready complete for WG to review and
>>         comment their open issues.
>>
>>         AB
>>
>>>             I just had before a comment on the open tickets, were
>>>             they all closed, because I think may be open. Seems
>>>             most MANET WG don't care about tickets but I like to
>>>             track and I remember that the AD did mention it's
>>>             importance.
>>>
>>>             confirm (sorry that I was not able to remember if there
>>>             are confirmation from authors that draft is ready or
>>>             not, also need their confirm of final points of open
>>>             issues for next draft if not resolved).
>>>
>>>             Best Regards
>>>
>>>             AB
>>>
>         _______________________________________________ manet mailing
>         list [email-masked] https://www.ietf.org/mailman/listinfo/manet
>
>

-- 
Regards,
Charlie P.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 10:35:10 +0100

> On 7 mars 2014, at 10:27, "Charles E. Perkins" <[email-masked]> wrote:
> 
> Hello folks,
> 
> from DYMO,

If that is the case, then:

	o	why hasn't the working group been presented with a list of these "evolutions"?
	o	why do all the review comments, given to DYMO, still apply?

Yes, intermediate RREPs were removed, a few sections shuffled around, but beyond that, there has been no attempts made to evolve the specification towards something publishable....

Thomas

> but all of the comments have to be considered
>> I give you an advise and check the difference between the last DYMO draft and the first AODVv2 draft. If you keep your strange opinion about how to deal with reviews about late DYMO drafts then no one can help you.
>>

---

From: "Charles E. Perkins" <[email-masked]>
Date: Fri, 07 Mar 2014 01:53:08 -0800

On 3/7/2014 1:35 AM, Thomas Heide Clausen wrote:
>
> On 7 mars 2014, at 10:27, "Charles E. Perkins" <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>> Hello folks,
>>
> owhy hasn't the working group been presented with a list of these 
> "evolutions"?

Please refer to the "Changes" appendices in the documents.  For each
revision, the changes have been enumerated there, and there has been
discussion on the mailing list.

> owhy do all the review comments, given to DYMO, still apply?

Perhaps they do *not* all apply to later revisions of the draft.
Anyway, this is a matter for further discussion as we work through
the issues after I post them on the issue tracker.

>
> Yes, intermediate RREPs were removed, a few sections shuffled around, 
> but beyond that, there has been no attempts made to evolve the 
> specification towards something publishable....

I view statements like this as unconstructive and unprofessional.
This statement in particular is obviously false.

---

From: Cedric-2 LAVENU <[email-masked]>
Date: Fri, 7 Mar 2014 11:02:03 +0100

Hi Charlie, all,

I think that the only thing to focus on is to address the issues pointed 
out on the mailing list (in the past or in the present).
Up to know these comments have never been adressed properly.
For now, the draft DOES NOT allow the developement of mutliple 
interoperable implementations.

Best regards,
Cédric

De :    [email-masked]
A :     [email-masked]
Cc :    [email-masked]
Date :  07/03/2014 10:35
Objet : Re: [manet] Remaining issues affecting the AODVv2 specification
Envoyé par :    [email-masked]

On 7 mars 2014, at 10:27, "Charles E. Perkins" <[email-masked]> 
wrote:

Hello folks,

o why hasn't the working group been presented with a list of these 
"evolutions"?
o why do all the review comments, given to DYMO, still apply?

Yes, intermediate RREPs were removed, a few sections shuffled around, but 
beyond that, there has been no attempts made to evolve the specification 
towards something publishable....

Thomas

Regards,
Charlie P.

When the AODVv2 started -00 with new author team it was not DYMO any more, 
and I think that no message has been not replied to since AODVv2-00 
published in March 2013. Yes there was a reminder from participant on DYMO 
draft comments, but I am not sure the authors have time to discuss DYMO 
document after it mature and the WG dropping it and starting adopting 
another document which is AODVv2. 

AB

Most folks have limited time to spend reviewing drafts.  Ignoring comments 
for several months does not help resolving these issues since in many 
cases the comment and context is lost after a long period of time.

Don

Hello Abdussalam,

Regards,
Charlie P.

AB

Hello Abdussalam,

Regards,
Charlie P.

I just had before a comment on the open tickets, were they all closed, 
because I think may be open. Seems most MANET WG don't care about tickets 
but I like to track and I remember that the AD did mention it's 
importance. 

For me I will review new draft and comment, but if the authors have no 
more pending issues to update, please confirm (sorry that I was not able 
to remember if there are confirmation from authors that draft is ready or 
not, also need their confirm of final points of open issues for next draft 
if not resolved). 

Best Regards

AB

-- 
Regards,
Charlie P.

-- 
Regards,
Charlie P.

Ce message et toutes les pièces jointes (ci-après le 'Message') sont établis à l'intention exclusive des destinataires et les informations qui y figurent sont strictement confidentielles. Toute utilisation de ce Message non conforme à sa destination, toute diffusion ou toute publication totale ou partielle, est interdite sauf autorisation expresse.

Si vous n'êtes pas le destinataire de ce Message, il vous est interdit de le copier, de le faire suivre, de le divulguer ou d'en utiliser tout ou partie. Si vous avez reçu ce Message par erreur, merci de le supprimer de votre système, ainsi que toutes ses copies, et de n'en garder aucune trace sur quelque support que ce soit. Nous vous remercions également d'en avertir immédiatement l'expéditeur par retour du message.

Il est impossible de garantir que les communications par messagerie électronique arrivent en temps utile, sont sécurisées ou dénuées de toute erreur ou virus.
____________________________________________________

This message and any attachments (the 'Message') are intended solely for the addressees. The information contained in this Message is confidential. Any use of information contained in this Message not in accord with its purpose, any dissemination or disclosure, either whole or partial, is prohibited except formal approval.

If you are not the addressee, you may not copy, forward, disclose or use any part of it. If you have received this message in error, please delete it and all copies from your system and notify the sender immediately by return message.

E-mail communication cannot be guaranteed to be timely secure, error or virus-free.

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 11:30:19 +0100

> On 7 mars 2014, at 10:53, "Charles E. Perkins" <[email-masked]> wrote:
> 
> 
> Please refer to the "Changes" appendices in the documents. 

Alright, let us do that, then. Here's the changes section:

> Appendix B.  Changes since revision ...-02.txt
> 
>    This section lists the changes since AODVv2 revision ...-02.txt
> 
>    o  The "Added Node" feature was removed.  This feature was intended
>       to enable additional routing information to be carried within a
>       RREQ or a RREP message, thus increasing the amount of topological
>       information available to nodes along a routing path.  However,
>       enlarging the packet size to include information which might never
>       be used can increase congestion of the wireless medium.  The
>       feature can be included as an optional feature at a later date
>       when better algorithms are understood for determining when the
>       inclusion of additional routing information might be worthwhile.

I'll grant you, that bit was also removed. I am still not sure what it did, so thats probably good. 

But I overlooked that in my previous mail.

>    o  Numerous editorial improvements and improvements to consistent
>       terminology were made.  Instances of OrigNodeNdx and TargNodeNdx
>       were replaced by OrigNdx and TargNdx, to be consistent with the
>       terminology shown in Table 1.

Imprecise, but as you say 'editorial', then that implies that they do not impact protocol operations, nor interoperability.

>    o  Example RREQ and RREP message formats shown in the Appendices were
>       changed to use OrigSeqNum and TargSeqNum message TLVs instead of
>       using the SeqNum message TLV.

I.e. updates to the presentation of non-normative parts of the specification.

>    o  Inclusion of the OrigNode's SeqNum in the RREP message is not
>       specified.  The processing rules for the OrigNode's SeqNum were
>       incompletely specified in previous versions of the draft, and very
>       little benefit is foreseen for including that information, since
>       reverse path forwarding is used for the RREP.

Not sure that I understand what the above says? Apparently, something that was incompletely specified was removed, which probably is good. But I do not remember having seen any discussion on that point.

>    o  Additional acknowledgements were included, and contributors names
>       were alphabetized.

Editorial - does not impact protocol operations, implementability, interoperability

>    o  Definitions in the Terminology section capitalize the term to be
>       defined.

Editorial - does not impact protocol operations, implementability, interoperability

>    o  Uncited bibliographic entries deleted.

Editorial - does not impact protocol operations, implementability, interoperability

>    o  Ancient "Changes" sections were deleted

Editorial - does not impact protocol operations, implementability, interoperability

I am not sure that I consider capitalizing terminology, deleting unused bibliographic entries, ordering contributor names alphabetically, updating non-normative examples in an appendix, and removing an underspecified feature from a previous version to represent "has evolved significantly". 

Especially, as issues have been raised regarding interoperability, implementability, unambiguity, security etc. which have gone unaddressed. For four years...

>  For each

I believe that there have been several people who have made reviews to the later versions of DYMO, and who have indicated that these still apply. In meetings, on  this mailing list. 

> the issues after I post them on the issue tracker.

No! This *was* a matter for discussion when the issues were raised - that was when it was timely to do so, not at some unspecified time in the future. 

As for "unspecified time in the future", let me remind you that more than a year ago, in an email to this list, the WG was promised - prompted by the WG chair - that the authors of this document would get back to the list and explain some RFC5444-issue "next month"...

> This statement in particular is obviously false.

You are right, I actually can not know if attempts were made or not. So that phrasing was imprecise.

I can only judge the result, as published by way of revisions to I-Ds. So, let me reformulate my conclusion to something that's obviously true:

	If attempts have been made to evolve the specification towards something publishable, 
	then these attempts have been insufficient, and have failed.

Best,

Thomas

---

From: Don Sturek <[email-masked]>
Date: Fri, 07 Mar 2014 05:30:26 -0800

Hi AB,

I think the issue is that AODVv2 (or DYMO) has been selected as the
proactive/reactive routing protocol the MANET group has adopted to work on
(and I disagree on the topic of "missing messages" since I have never had
that experience).   As a result of AODVv2's selection, we should expect the
editor(s) to be responsive to input to the group.

I think if you go to the MANET e-mail reflector (and, yes, I expect it will
work for you), you will see that the editing group for this draft has failed
to be responsive (over a very long period of time).

It would be great not to worry about old drafts as long as the new drafts
have incorporated all of the changes needed by the group over timeŠŠ..

Don

From:  Abdussalam Baryun <[email-masked]>
Date:  Thursday, March 6, 2014 11:53 PM
To:  Don Sturek <[email-masked]>
Cc:  "Charles E. Perkins" <[email-masked]>, Mobile Ad Hoc Networks
mailing list <[email-masked]>
Subject:  [manet] Remaining issues affecting the AODVv2 specification

Hi Don,

I recommend the WG to focus on active documents so we can progress our work.
Otherwise we will not have time.

AB

On Thursday, March 6, 2014, Don Sturek  wrote:
> Most folks have limited time to spend reviewing drafts.  Ignoring comments for
> several months does not help resolving these issues since in many cases the
> comment and context is lost after a long period of time.
> 
> Don
> 
> 
> [email-masked]://www.ietf.org/mailman/listinfo/manet

---

From: Emmanuel Baccelli <[email-masked]>
Date: Fri, 7 Mar 2014 15:48:45 +0100

Hi all,

My take on this. I think we all agree that progress in the MANET working
group has been painfully slow over the last decade.The proactive protocol
took 10+ years to converge, and the reactive protocol is not progressing as
quickly as desired either.

Now, from a 30k feet perspective, even one more year delay for AODVv2 would
mean less than 10% more time that was needed for OLSRv2... So from this
perspective, maybe we should not pick too much on AODVv2 and we should not
get too alarmed: it seems it is the fate of MANET to deal with such slow
progress. While the (non-technical) reasons for that fate could also be
discussed, I'm not certain this particular thread is the most appropriate
to do so.

Since the decision was made to carry on with the reactive protocol based on
AODVv2, there is some progress on the reactive protocol specification --
not as big as desired, but still tangible -- and there are a couple of
independent implementations out there, that already helped improving the
spec.

So, should the most coherent course of action not be to focus on being
constructive, and on fostering this progress? For me, being constructive at
wg level translates in the following:

     - Process the issues raised: retain the technical points, and filter
out non-technical noise that unfortunately slipped in during recent
turmoils.
     - Use modern logging tools: log the identified, valid technical points
in the issue tracker.
     - Work better together: less rhetoric, more proposals of concrete
fixes for entries that pop up in the issue tracker, by order of priority.

I am convinced that if we did stick to the above, the desired progress will
happen sooner, rather than later.

Best regards,

Emmanuel

On Fri, Mar 7, 2014 at 2:30 PM, Don Sturek <[email-masked]> wrote:

> Hi AB,
>
> I think the issue is that AODVv2 (or DYMO) has been selected as the proactive/reactive
> routing protocol the MANET group has adopted to work on (and I disagree on
> the topic of "missing messages" since I have never had that experience).
> As a result of AODVv2's selection, we should expect the editor(s) to be
> responsive to input to the group.
>
> I think if you go to the MANET e-mail reflector (and, yes, I expect it
> will work for you), you will see that the editing group for this draft has
> failed to be responsive (over a very long period of time).
>
> have incorporated all of the changes needed by the group over time........
>
> Don
>
>

---

From: Don Sturek <[email-masked]>
Date: Fri, 07 Mar 2014 07:00:22 -0800

+1 if we can apply some schedule metric around the bulleted items belowŠŠ..

Don

From:  Emmanuel Baccelli <[email-masked]>
Date:  Friday, March 7, 2014 6:48 AM
To:  MANET IETF <[email-masked]>
Subject:  Re: [manet] Remaining issues affecting the AODVv2 specification

Hi all,

discussed, I'm not certain this particular thread is the most appropriate to
do so.

Since the decision was made to carry on with the reactive protocol based on
AODVv2, there is some progress on the reactive protocol specification -- not
as big as desired, but still tangible -- and there are a couple of
independent implementations out there, that already helped improving the
spec.

     - Process the issues raised: retain the technical points, and filter
out non-technical noise that unfortunately slipped in during recent
turmoils.
     - Use modern logging tools: log the identified, valid technical points
in the issue tracker.
     - Work better together: less rhetoric, more proposals of concrete fixes
for entries that pop up in the issue tracker, by order of priority.

Best regards,

Emmanuel

On Fri, Mar 7, 2014 at 2:30 PM, Don Sturek <[email-masked]> wrote:
> (and I disagree on the topic of "missing messages" since I have never had that
> experience).   As a result of AODVv2's selection, we should expect the
> It would be great not to worry about old drafts as long as the new drafts have
> incorporated all of the changes needed by the group over timeŠŠ..
> 
> Don
> 
> 
> I think the issue of not missing messages happens a lot to me with most of the
> IETF editors related to I-Ds. The best tool is the ticket tracker, because
> discussion messages are some how not focused on the I-D but may go through
> When the AODVv2 started -00 with new author team it was not DYMO any more, and
> I think that no message has been not replied to since AODVv2-00 published in
> March 2013. Yes there was a reminder from participant on DYMO draft comments,
> but I am not sure the authors have time to discuss DYMO document after it
> mature and the WG dropping it and starting adopting another document which is
> AODVv2. 
>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 16:35:38 +0100

Don't forget, Emmanuel, that several years back - after the reactive working-group protocol development was officially declared dead by the WG chairs, who actually at the same time asked in a meeting if there were somebody willing to pick up reactive protocol development - an alternative reactive protocol specification emerged out of actual deployed code. 

That alternative reactive protocol development was backed by a large and diverse community. There were (are) implementations, deployments, documented interoperability of that alternative reactive protocol. There were none of the WG protocol at the time - as there still are none, today.

Also, ready-baked specifications of that alternative reactive protocol were proposed to the working group, from which interoperable implementations had already been developed.

That community is, obviously, standing by and watching in befuddlement that (i) they were excluded from the (suddenly revived) working group protocol, that (ii) the revived working-group protocol - now, several years later - still is not at an implementable state ready for standardisation, with no actual deployments, and that (iii) the comments and issues raised by members of that community. to the suddenly revived working-group protocol, were - and are - actively ignored.

This has nothing to do with using tools, or rhetorics, and has certainly nothing to do with  "non-techincal noise" either -- it has everything to do with following, or ignoring, the IETF credo of "rough consensus and running code".

As for your comment on "some progress on the reactive protocol specification -- not as big as desired, but still tangible", I refer you to:

	http://www.ietf.org/mail-archive/web/manet/current/msg16049.html

I honestly have a hard time imagining that not addressing 4 year old review comments and raised issues can be construed as "tangible progress"

Respectfully,

Thomas

On 07 Mar 2014, at 15:48 , Emmanuel Baccelli <[email-masked]> wrote:

> Hi all,
> 
> My take on this. I think we all agree that progress in the MANET working group has been painfully slow over the last decade.The proactive protocol took 10+ years to converge, and the reactive protocol is not progressing as quickly as desired either. 
> 
> Now, from a 30k feet perspective, even one more year delay for AODVv2 would mean less than 10% more time that was needed for OLSRv2... So from this perspective, maybe we should not pick too much on AODVv2 and we should not get too alarmed: it seems it is the fate of MANET to deal with such slow progress. While the (non-technical) reasons for that fate could also be discussed, I'm not certain this particular thread is the most appropriate to do so.
> 
> Since the decision was made to carry on with the reactive protocol based on AODVv2, there is some progress on the reactive protocol specification -- not as big as desired, but still tangible -- and there are a couple of independent implementations out there, that already helped improving the spec.
> 
> So, should the most coherent course of action not be to focus on being constructive, and on fostering this progress? For me, being constructive at wg level translates in the following:
> 
>      - Process the issues raised: retain the technical points, and filter out non-technical noise that unfortunately slipped in during recent turmoils.
>      - Use modern logging tools: log the identified, valid technical points in the issue tracker.
>      - Work better together: less rhetoric, more proposals of concrete fixes for entries that pop up in the issue tracker, by order of priority.
> 
> I am convinced that if we did stick to the above, the desired progress will happen sooner, rather than later.
> 
> Best regards,
> 
> Emmanuel
> 
> 
> 
> 
> 
> I think the issue is that AODVv2 (or DYMO) has been selected as the proactive/reactive routing protocol the MANET group has adopted to work on (and I disagree on the topic of "missing messages" since I have never had that experience).   As a result of AODVv2's selection, we should expect the editor(s) to be responsive to input to the group.
> 
> I think if you go to the MANET e-mail reflector (and, yes, I expect it will work for you), you will see that the editing group for this draft has failed to be responsive (over a very long period of time).
> 
> It would be great not to worry about old drafts as long as the new drafts have incorporated all of the changes needed by the group over time……..
> 
> Don
> 
> 
> Cc: "Charles E. Perkins" <[email-masked]>, Mobile Ad Hoc Networks mailing list <[email-masked]>
> _______________________________________________ manet mailing list [email-masked]://www.ietf.org/mailman/listinfo/manet
>

---

From: Jiazi Yi <[email-masked]>
Date: Fri, 7 Mar 2014 16:36:11 +0100

Hi, 

I would support the bulleted items, but what you said at the beginning is very hard for me to agree with. 

> My take on this. I think we all agree that progress in the MANET working group has been painfully slow over the last decade.The proactive protocol took 10+ years to converge, and the reactive proto…

Even it takes a lot of time for OLSRv2 to converge, the last 10+ years are with numerous efforts: 5 interop events, 10+ RFC/Internet Drafts, countless discussions, implementations. 

> 
> Now, from a 30k feet perspective, even one more year delay for AODVv2 would mean less than 10% more time that was needed for OLSRv2...

The current AODVv2 draft (previously called DYMO) is actually dated from Jan 2005 as WG document.
So I would say so far, it has taken almost the same time as OLSRv2, and we don't know how much more time it will need. 

>  So from this perspective, maybe we should not pick too much on AODVv2 and we should not get too alarmed: it seems it is the fate of MANET to deal with such slow progress.

I think it's unfair to compare AODVv2 and OLSRv2 in this way. 
Having seen part of the work that have been done around OLSRv2, if I was one of the OLSRv2 co-authors, I would probably feel offended. 

> While the (non-technical) reasons for that fate could also be discussed, I'm not certain this particular thread is the most appropriate to do so.

I certainly agree with that. Hopefully that's what will happen in the future. However, if it was the case 4 years ago, we won't have the issue like this today. 

cheers

Jiazi

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 7 Mar 2014 16:41:20 +0100

On 07 Mar 2014, at 16:36 , Jiazi Yi <[email-masked]> wrote:

<SNIP<

> Having seen part of the work that have been done around OLSRv2, if I was one of the OLSRv2 co-authors, I would probably feel offended. 

Rest assured, we are offended. Emmanuel, kindly flog yourself with a wet newspaper at the earliest possible convenience ;)

Don't neglect that RFC5444, RFC5148, RFC6130, for example, were written by the OLSRv2 authors (and some other folks), but is also a building block for other MANET protocols. 

I agree that it's not quite an "apples to apples" comparison that is being made here.

---

From: Emmanuel Baccelli <[email-masked]>
Date: Fri, 7 Mar 2014 17:30:16 +0100

Hi Thomas,

On Fri, Mar 7, 2014 at 4:41 PM, Thomas Heide Clausen <[email-masked]

> >> So from this perspective, maybe we should not pick too much on AODVv2
> and we should not get too alarmed: it seems it is the fate of MANET to deal
> with such slow progress.
> >
> > Having seen part of the work that have been done around OLSRv2, if I was
> one of the OLSRv2 co-authors, I would probably feel offended.
> >
>
> Rest assured, we are offended. Emmanuel, kindly flog yourself with a wet
> newspaper at the earliest possible convenience ;)
>

I already started auto-flagelating myself in preparation ;)

>
> Don't neglect that RFC5444, RFC5148, RFC6130, for example, were written by
> the OLSRv2 authors (and some other folks), but is also a building block for
> other MANET protocols.
>

Don't get me wrong: I am not trying to minimize the work done on the
proactive protocol, or on the RFCs you mention, which are vey useful.

Fortunately, I'm an outsider: I don't have any vested interest in this
discussion, I am neither a co-author of the reactive spec, nor of the
proactive spec, nor of the loadng spec. So I can safely say I am all for
comparing apples to apples, too ;)

But for us outsiders, it is impossible to distinguish (i) what went wrong
and when, (ii) who was excluded from what design team and (iii) who refused
to participate, (iv) what's the root of the bad blood. All this has been
too opaque for too long, and will thus remain murky in the foreseeable
future.

So I don't intend to get into any more debates about various
interpretations of email archives from X years ago. For us outsiders, the
best bet is to just drop these packets, and focus on "where to, from here &
now".

There is a list of issues. Let's formulate them as constructively as
possible, and let's log them in the issue tracker. Let's focus on concrete
proposals to fix them. And as Don suggested, let's put time limits -- they
usually help to get something done, if used properly.

Maybe I'm being too naive, but it seems to me everyone is welcome to
participate.

Cheers,

Emmanuel

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Fri, 7 Mar 2014 17:11:00 +0000

Jiazi
> Having seen part of the work that have been done around OLSRv2, if I was one of the OLSRv2 co-authors, I would probably feel offended.

OLSRv2 took far too long.

I might get offended if someone said "and that was your fault", either to me individually or the authors collectively. But I didn't take the comments I saw that way.

Who was responsible for that delay? Well, pretty much everyone who was involved (not excluding the authors) and also things that aren't anyone's fault. Attempting to break it down would not be helpful in my opinion.

What's the lessons from that for AODVv2? I would say two key points.
- First, there's a range of assessments of the quality of AODVv2. Right now I'm not going to comment on those. I'm just going to say that at the most optimistic end there is, based on OLSRv2 experience, a significant way to go, based on security requirements for a start. (By significant I mean not 2014.) At the other end, a lot longer.
- Second, there's experience in pushing OLSRv2 through. I've referred to security above. There is more that applies. It could help.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Fri, 7 Mar 2014 18:33:27 +0000

Emmanuel,

On Mar 7, 2014, at 11:30 AM, Emmanuel Baccelli <[email-masked]<mailto:[email-masked]>> wrote:

Hi Thomas,

On Fri, Mar 7, 2014 at 4:41 PM, Thomas Heide Clausen <[email-masked]<mailto:[email-masked]>> wrote:

On 07 Mar 2014, at 16:36 , Jiazi Yi <[email-masked]<mailto:[email-masked]>> wrote:

<SNIP<

Don't get me wrong: I am not trying to minimize the work done on the proactive protocol, or on the RFCs you mention, which are vey useful.

Fortunately, I'm an outsider: I don't have any vested interest in this discussion, I am neither a co-author of the reactive spec, nor of the proactive spec, nor of the loadng spec. So I can safely say I am all for comparing apples to apples, too ;)

But for us outsiders, it is impossible to distinguish (i) what went wrong and when, (ii) who was excluded from what design team and (iii) who refused to participate, (iv) what's the root of the bad blood. All this has been too opaque for too long, and will thus remain murky in the foreseeable future.

So I don't intend to get into any more debates about various interpretations of email archives from X years ago. For us outsiders, the best bet is to just drop these packets, and focus on "where to, from here & now".

There is a list of issues. Let's formulate them as constructively as possible, and let's log them in the issue tracker. Let's focus on concrete proposals to fix them. And as Don suggested, let's put time limits -- they usually help to get something done, if used properly.

(Standing to applaud)… Bravo. Well said. Thank you for saying it.

Regards,
Stan

Maybe I'm being too naive, but it seems to me everyone is welcome to participate.

Cheers,

Emmanuel

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet